<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">


<form action="/search-components" method="post" class="container mt-3">
  <div class="form-group">
    <label for="componentName">Component Name:</label>
    <input type="text" class="form-control" id="componentName" name="componentName">
  </div>
  <button type="submit" class="btn btn-primary">Search</button>
</form>